CyberLink Community Forum
where the experts meet
| Advanced Search >
Wave Editor 2 and Plug-ins
Reply to this topic
Noel 1983 [Avatar]
Newbie Private Message Joined: Jun 27, 2019 08:38 Messages: 2 Offline
[Post New]
Does Wave Editor 2 support 64 bit VST plug-ins, or just 32 bit?

I can't seem to import my 64 bit plug-ins into the software. However, I am new to plugins in general, so I might be doing something wrong.
Reply
[Post New]
Hello Noel 1983,

Welcome to the AudioDirector forum laughing

I don't claim to have any particular expertise or vast experience here, but it seems your observation is correct from the VSTs I've checked.

Some VST plug-ins are specifically built for use with either 32-bit or 64-bit software. It is my understanding that applications may be unable to "bridge" the 32/64-bit divide without additional resources.

Only a small number of VSTs in my modest collection are specifically 32/64-bit but WE2 will only import 32-bit ones. AudioDirector won't import some VSTs (.dll) and offers "not 64-bit" as a possible reason.

As an example, here is a .zip file -TDR VOS SlickEQ - containing a 32-bit & 64-bit version of the same VST (a simple EQ plugin). Only the .dll labelled "TDR VOS SlickEQ" - i.e. not "TDR VOS SlickEQ (x64) will import into WE2.

Perhaps other members with broader or different experience might have other advice.

PIX PhD CDR ADR DZ MVL PP Forum Moderator
PIX YouTube channel
Reply
Noel 1983 [Avatar]
Newbie Private Message Joined: Jun 27, 2019 08:38 Messages: 2 Offline
[Post New]
Quote Hello Noel 1983,

Welcome to the AudioDirector forum laughing


PIX


Thank you!
And thank you for confirming my suspicions. I didn't think that I was doing anything wrong in my import attempts. I just had to ask. Software can be finicky sometimes.
Reply
Reply to this topic
Powered by JForum 2.1.8 © JForum Team